using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Infrastructure.Migrations
{
    /// <inheritdoc />
    public partial class updatetableretirementperiodadddetail : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "Detail",
                table: "RetirementPeriods",
                type: "longtext",
                nullable: false,
                comment: "รายละเอียดมติ อกก")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "Detail",
                table: "RetirementPeriodHistorys",
                type: "longtext",
                nullable: false,
                comment: "รายละเอียดมติ อกก")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "Detail",
                table: "RetirementPeriods");

            migrationBuilder.DropColumn(
                name: "Detail",
                table: "RetirementPeriodHistorys");
        }
    }
}
